summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin270352 -> 270346 bytes
-rw-r--r--dev-python/fakeredis/Manifest2
-rw-r--r--dev-python/fakeredis/fakeredis-2.21.2.ebuild84
-rw-r--r--dev-python/flaky/Manifest2
-rw-r--r--dev-python/flaky/flaky-3.8.0.ebuild38
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.99.2.ebuild90
-rw-r--r--dev-python/owslib/Manifest2
-rw-r--r--dev-python/owslib/owslib-0.30.0.ebuild65
-rw-r--r--dev-python/packaging/Manifest2
-rw-r--r--dev-python/packaging/packaging-24.0.ebuild35
-rw-r--r--dev-python/pyrate-limiter/Manifest2
-rw-r--r--dev-python/pyrate-limiter/pyrate-limiter-3.3.0.ebuild74
-rw-r--r--dev-python/redis/Manifest2
-rw-r--r--dev-python/redis/redis-5.0.3.ebuild97
-rw-r--r--dev-python/types-docutils/Manifest2
-rw-r--r--dev-python/types-docutils/types-docutils-0.20.0.20240311.ebuild17
-rw-r--r--dev-python/types-gdb/Manifest2
-rw-r--r--dev-python/types-gdb/types-gdb-12.1.4.20240311.ebuild17
-rw-r--r--dev-python/types-psutil/Manifest2
-rw-r--r--dev-python/types-psutil/types-psutil-5.9.5.20240311.ebuild17
21 files changed, 554 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 2facd3741fec..ba19e04fcf9c 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/fakeredis/Manifest b/dev-python/fakeredis/Manifest
index 1c0c3adc4b35..ce11e50033ef 100644
--- a/dev-python/fakeredis/Manifest
+++ b/dev-python/fakeredis/Manifest
@@ -1,3 +1,5 @@
DIST fakeredis-2.21.1.tar.gz 128540 BLAKE2B 042c7189f4437149f099eb2bed9dc93cfaea3eb582dd40aaad55bca6c6c4f679a108b3e36006e537be469a3879085f75e0f5c0c7272d2131c431a4483e15cefc SHA512 ba51079896ca345805a0b2474922a41b7c1526123ac3ff0904d3448512b75515b6b11d7e8ec8fe7abdde94a9ac281aaf56d7344809c18c28ad081af4a542a57b
+DIST fakeredis-2.21.2.tar.gz 128965 BLAKE2B 20891c5a34ac5697435a8b05578fc3ffc1a0b008726ed1836929d6e185aff22073382fd0b80d08f4045d85e3d0da9b682900de79b50864ff7682943a634b2970 SHA512 0ba5e31e403670e864a5364498e26e818641d0fbba59554b78bd0d82a2d944a730d519184c132bdb367761b830bb3a55b43a957770f833891cccd11d528ff540
EBUILD fakeredis-2.21.1.ebuild 2172 BLAKE2B 45b0a87b4c0850b3dc631811e84bd9dee72756dd0dda2bdec16a2d72bd3af19483eb2bc912fd4df4694b2b36a846059e41e2d56594f1c9b336c158c7acf1e15d SHA512 f1d65bb12eee3da97b624525fb54b73186f423f3c9d361d934b2dc3e4fb7d41778e602672485188f9092bdff9aff31cec1b8d7ddbd142f194b1553f359f344a4
+EBUILD fakeredis-2.21.2.ebuild 2175 BLAKE2B 98d3b5b8f93bc6954191bb08e63bf3397cf9ad0da9c1a6ed2dc8ad4421c2f00f0dc56817d9a330dc18ac7e6e6f80993451d517d6ffd4b4d6f38eeb8d1093e630 SHA512 47d6943da124b127f9087309fd788f6fc080cdfdf23eb76de96bee5f7a9dfdc7a4f6f275d0aa0f4fde6cb0690842d0f16e1d258a5a477602e8928a50a89c951b
MISC metadata.xml 373 BLAKE2B 1de33db59658e6190cd0346be58208cae6c9143a52f49dc289e68aaa0d860b5bd68dfb54f2e0b005f60a67f5caa430e2ce94fc69e64bd27e1bbebb07ad29e602 SHA512 24bfcf4919363fef45c182b6de66221e580ee0e9e99ce46e91b767655dc0b6f8a9fa6c3512ba84d1040698c43a0b6a853ad8d63c1ee5fbc00a1d192defb24db5
diff --git a/dev-python/fakeredis/fakeredis-2.21.2.ebuild b/dev-python/fakeredis/fakeredis-2.21.2.ebuild
new file mode 100644
index 000000000000..916767f1330c
--- /dev/null
+++ b/dev-python/fakeredis/fakeredis-2.21.2.ebuild
@@ -0,0 +1,84 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fake implementation of redis API for testing purposes"
+HOMEPAGE="
+ https://github.com/cunla/fakeredis-py/
+ https://pypi.org/project/fakeredis/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/redis-4.2[${PYTHON_USEDEP}]
+ <dev-python/sortedcontainers-3[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # also lupa
+ test/test_aioredis2.py::test_failed_script_error
+ # TODO
+ "test/test_fakeredis.py::test_set_get_nx[StrictRedis]"
+ "test/test_fakeredis.py::test_lpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_rpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_zadd_minus_zero[StrictRedis]"
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_channels[StrictRedis]"
+ test/test_mixins/test_set_commands.py::test_smismember_wrong_type
+ # new redis-server?
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_shardnumsub[StrictRedis]"
+ # json ext
+ test/test_json/test_json.py
+ test/test_json/test_json_arr_commands.py
+ )
+ local EPYTEST_IGNORE=(
+ # these tests fail a lot...
+ test/test_hypothesis.py
+ )
+ local args=(
+ # tests requiring lupa (lua support)
+ -k 'not test_eval and not test_lua and not test_script'
+ )
+ # Note: this package is not xdist-friendly
+ epytest "${args[@]}"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/flaky/Manifest b/dev-python/flaky/Manifest
index d2fb645da1fd..e49e66768d2b 100644
--- a/dev-python/flaky/Manifest
+++ b/dev-python/flaky/Manifest
@@ -1,3 +1,5 @@
DIST flaky-3.7.0.tar.gz 29591 BLAKE2B 747fbda71055bba937abf3e7b97691c1f4b222f085069d1815d5a9eba669464d2ed5d6dcf1842ae82f1970de5cd5e3aea5b12476bfa2d9282549ad0cc62901e9 SHA512 b399f6e1323d6ca341803ac6f1eb318bf24dc37182d0b49b89bb81b9466dd36271ad6dbb9f48ea6fa4760ee631f1482bb6f49c64f4d4520c40634089c1b64f9a
+DIST flaky-3.8.0.tar.gz 25227 BLAKE2B 64ad4658058a2e6704b7493553ab3ffa0af7eccf1eaeb6eb5336f3ca5a25c1a187d641e49d983537d8ca0d7c48fdb944e18af788bb364c37ce1a0251cd36bdbb SHA512 3023bb136f9d91ffa149081f6483ae6bf85a4e689e0614b64d92880b3bdc312bfd2e6b1ddea43a33cd0a4a60daf3cedb1b2820bf25960adab21164d599d6fd44
EBUILD flaky-3.7.0-r5.ebuild 1227 BLAKE2B 9c25d355d44e891b1912bdb010f93ed1bcbce5fffe3693e3d0f2cb291ea438118016ea52b50391b6bd0b6919b71f1705eae21839f950b0a690c51150d766547f SHA512 bd40f57a14213028d1adab04d4a4e709e3439e1e6a2074c08f57fd88b066303af8f56066e3dbab2f25c2933b39aaab7b29ad44ae9260450b3f10c38953d47a18
+EBUILD flaky-3.8.0.ebuild 1033 BLAKE2B 8afa0c5a0c371f038b23c98d4001b2b5042194a2814db3c4448dc458898740788cfedd115349f97fe3e28660e380fb287f81516e7fd5966367ac7502bd8a2b4e SHA512 e5705a5f98ee5cd7669593914aea97ab14668d59c198327d4be12cd5b774816a615ca5cbbbf09674e8f5d1dc64cb6ca84e47ab41f8ec98c04106fdad81481dce
MISC metadata.xml 395 BLAKE2B 06158c93157879bd7b181e833d84ea33a315103214cfaa54a092f965900f05f705183b74738543ac6bb83beb62de562a59ef43b734a74c9f3d0d5d677e8e00d1 SHA512 2d237ebccf03db7fc42fac5370f1046834646bdfc5755e2298e9cac131363e47e496d9d0f0d00ad914764bcbc2deaee8b7182ae3c32e18f95766351da50028aa
diff --git a/dev-python/flaky/flaky-3.8.0.ebuild b/dev-python/flaky/flaky-3.8.0.ebuild
new file mode 100644
index 000000000000..7fbc776453fb
--- /dev/null
+++ b/dev-python/flaky/flaky-3.8.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Plugin for pytest that automatically reruns flaky tests"
+HOMEPAGE="
+ https://github.com/box/flaky/
+ https://pypi.org/project/flaky/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/genty[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ epytest -k 'example and not options' --doctest-modules test/test_pytest/ || die
+ epytest -p no:flaky test/test_pytest/test_flaky_pytest_plugin.py || die
+ epytest --force-flaky --max-runs 2 test/test_pytest/test_pytest_options_example.py || die
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 8913c8601106..fba6c09b9748 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,9 +3,11 @@ DIST hypothesis-6.98.17.gh.tar.gz 9434016 BLAKE2B 3c26f8c696bc4a62b9ada8e45dd305
DIST hypothesis-6.98.18.gh.tar.gz 9434436 BLAKE2B 45861775caa1657d06469fc8cd0062aee1b408c3b02a58ff4d50b9de9ce62d8fd351c6b8f4b1b7f543fe70d6b8f2c663ad8e9252b833d5c567d3c28449fc3eaf SHA512 cff5cad9308e7b030e38f09a9544ed84f468bc4bd6391a2347777bb7781b116bd64f41338ad32535d427ebda507ce3f0f5bafc0af5a8179976c17d36762679e9
DIST hypothesis-6.98.9.gh.tar.gz 9427046 BLAKE2B c3705e4c780b6e7f427943231ac056f343e70569e88391f118383e6d6197f72e744306476f2e1994e8a6d95dce73b93dcd49e8fa197149e532b84c91bce79594 SHA512 1e8a0dcefb8def8376a0ad6549a58dac66470941e4a3584ba82867f8779fd941c141039f631f15f134f7cdb3beb2ad1a19312d8e56c47db9ace0569f203afaf3
DIST hypothesis-6.99.0.gh.tar.gz 9439501 BLAKE2B 9f46cffaede22381a019a4f7c0b158015f245bf25bc3623090c45c177f57c1cb74fd09a0f01e98d06039a641e486e0cf1ccc10da6f79ebff13914c1197f0fbd7 SHA512 19500c9e0013d4ef4c6b3991d606860e819eb69e68a6975a0c4d225424fe12f44e05662eac0c94f54c6995b12bb73e48d936fc2342a92f3b26760db8ad279ba3
+DIST hypothesis-6.99.2.gh.tar.gz 9439856 BLAKE2B 0e7b99ee43ae84b4536f687324c334d7846766ec3422712cc0e215ebed113a3ed270b2fee70322edd5931e6a57c04092566846846e8a2df8587a2d6bd7f33e34 SHA512 ad833e8e4e5a228d06723ba76e80b7e88b849b51b298c2c0b58e82e9409961a212f85530a8e3f06e9e09ca2ebcc8ebd2e1e4992e50a37ba9f692a398aef699fa
EBUILD hypothesis-6.98.15.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.98.17.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.98.18.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.98.9.ebuild 2461 BLAKE2B 343d4374955bed436ecb2533684eac1d2013c8b6c691bf72477a24c52e5caf7e71e61b67de8475c38e940a13b046ed07e8f2b188ad39c3acff8de4df3f7f5a97 SHA512 3a72f5c9f5c1b3787c37cd8830321a47a5c54c655c8b75fdeaa4b09c6c4db310914ebfa5cf631c2576e92e4bd56e106f745e25777b5f86cd7b0cc58ec838fa7b
EBUILD hypothesis-6.99.0.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
+EBUILD hypothesis-6.99.2.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
MISC metadata.xml 492 BLAKE2B c9e9bbd59af55d1f47e5b7a86933c02b47f832122d03eaca56bd3ec9476cf260d91d4fd2da5068845d4525b7cc9f702b515e8d6a0dffa7923f5898cfd44e12a1 SHA512 166b33d6ac887f52d54fb9d556102038c00650a597d2de1c3aad3f8b5e136e9b6b7db31f05f3379435e4c5f943156d5839d78fc95461af411037a3162ea6705e
diff --git a/dev-python/hypothesis/hypothesis-6.99.2.ebuild b/dev-python/hypothesis/hypothesis-6.99.2.ebuild
new file mode 100644
index 000000000000..f7f366381e4f
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.99.2.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -n "$(makeopts_jobs)" --dist=worksteal \
+ tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/owslib/Manifest b/dev-python/owslib/Manifest
index e602f6eb2b59..0b12baffcd69 100644
--- a/dev-python/owslib/Manifest
+++ b/dev-python/owslib/Manifest
@@ -1,3 +1,5 @@
DIST OWSLib-0.29.3.gh.tar.gz 994453 BLAKE2B 442dc832b94bfdc383b9d932de957696f9abb4d3843c856b07cf56a47c42291c6d7ff8b8713bb123d296c780e44efbfa08ba94ba2ee747dc7a2f4de0508a5f0f SHA512 2aa63ae18830d724f2cb46647ed867c5b74b2858a93df2500160b5cd58b25b0fb39bfc2d5bcda58bfe3b229bac5ea68acf9abdc746971e2eb5198875f00e6f4d
+DIST OWSLib-0.30.0.gh.tar.gz 995826 BLAKE2B 58066b461794d424e646cd148f1c0379c22c17bee144611e4bda71c8410f2d4dbd172e5cad14ff1e33fc3e2a7293985c943eace6284d1830a2533abbe95ecf27 SHA512 2fdad8ac282d78181e2b7953f22db063f760c2f61682967c7d99ac8e12d62345168db978d9599a4093005f520968d4e97fc588f9a9b7d81a87894b08028d42d8
EBUILD owslib-0.29.3.ebuild 1757 BLAKE2B ad15e3bc320810bf830edf8dd184fe3fb95bc8044b307082be877701af35bd6bdad08886afe4415b932fbfc74ff1680369eba7b685d353ea50b45ed1d1e2e632 SHA512 cb610d63dc1c2b2b27e1236acca49bc846cd284b9a10f428f3ffda1212471b05d61d527208d93409d11322da567d69580452027b8604ba8161e52833980b2d19
+EBUILD owslib-0.30.0.ebuild 1758 BLAKE2B 47c9482fdd700c8ea933357b80cc6fc24314278a00cc349decf728bddbf2f6f2fc85b9a03b2c32b5c443dd2c1919f1cadde9c10ec5fb0dd9c592e6a20187b1d9 SHA512 d3ac37f856e86caf4f4bb0744b93a3eb92cb9da956ce22f797ca947983c81b8d768020ee7c2d13f431efab42b33e33a8e9766dd8f5bdd085c956577492b047aa
MISC metadata.xml 520 BLAKE2B 01705147ed084a8215d15016b6cc94b2fcdc926eff2755cf2d4c768197d0c39a30a8b0602d93bac7ec221e32c30b9280b37d5736f2f46342ad36e23c1b4a7c1c SHA512 c146cb483caacbde7966a95b899372261493543826cb20d638cd91e7cae245d60f1504bc53f485e35ca5d6c3f83780fc1da211c0838c604dafde27284dd8e40b
diff --git a/dev-python/owslib/owslib-0.30.0.ebuild b/dev-python/owslib/owslib-0.30.0.ebuild
new file mode 100644
index 000000000000..633e22c2ec54
--- /dev/null
+++ b/dev-python/owslib/owslib-0.30.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=OWSLib-${PV}
+DESCRIPTION="Library for client programming with Open Geospatial Consortium web service"
+HOMEPAGE="
+ https://geopython.github.io/OWSLib/
+ https://github.com/geopython/owslib/
+ https://pypi.org/project/OWSLib/
+"
+SRC_URI="
+ https://github.com/geopython/${PN}/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="test"
+PROPERTIES="test_network"
+
+RDEPEND="
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # connection errors
+ tests/test_wfs_generic.py::test_xmlfilter_wfs_110
+ tests/test_wfs_generic.py::test_xmlfilter_wfs_200
+ tests/test_ogcapi_records_pycsw.py::test_ogcapi_records_pycsw
+ tests/test_opensearch_pycsw.py::test_opensearch_creodias
+ tests/test_ows_interfaces.py::test_ows_interfaces_csw
+ tests/test_csw3_pycsw.py::test_csw_pycsw
+ tests/test_csw_pycsw.py::test_csw_pycsw
+ tests/test_csw_pycsw_skip_caps.py::test_csw_pycsw_skip_caps
+ # different output from remote service, sigh
+ tests/test_ogcapi_processes_pygeoapi.py::test_ogcapi_processes_pygeoapi
+ # TODO
+ tests/test_remote_metadata.py::TestOffline::test_wfs_{110,200}_remotemd_parse_{all,single}
+ tests/test_remote_metadata.py::TestOffline::test_wms_130_remotemd_parse_{all,single}
+)
+
+python_test() {
+ epytest -o addopts=
+}
diff --git a/dev-python/packaging/Manifest b/dev-python/packaging/Manifest
index a3ae5746a42c..4c6a4d2f5c9d 100644
--- a/dev-python/packaging/Manifest
+++ b/dev-python/packaging/Manifest
@@ -1,3 +1,5 @@
DIST packaging-23.2.tar.gz 146714 BLAKE2B cf7986a07312fd82a2a0ee738088993b9570d95cd0b573afa7a1f911bf335de7084e3d40d961adea7f5a8369738688f9d0a4265ef26a393f2d30769bc13f752a SHA512 8ab5e9bc4feef2fac1c9044dc8a6f2d41aaf9fe2dae671de8b98c0b1a19dca2169588b87d85a8c990d808b1e76faee65984ce970eaa3282b75e107ca82cc2863
+DIST packaging-24.0.tar.gz 147882 BLAKE2B 32c5f30623d39890376e9f5bb3d80ef4a5bd2291ae906883d28236c0d095628eb5d379e5bfb503d6d06fcea0aefc0b2beb1a7968d3ec8c543c48572b432438f3 SHA512 b6af704f93bcb7611a06eb2bfa94d8dc4bb1e5e9898af7c0eb85e67cf1ebdb858e272ca18019be4daaa43ac3f73b1cb2e690d8b50a4252380a2dc9f2d0e03a58
EBUILD packaging-23.2-r1.ebuild 791 BLAKE2B dc8d723bda47a8bf28b42f16ea38b2c0965c7ea7a8bc43cc3c7dbf43d9ddbe27104a4184cc6b2f07d2a05b962e3b21fd5ad532b668b0ac1e12c1eb2c2f28d7ab SHA512 b4220fe98a5d5d301e0d1c8ee624c65f639f5a5f5ed27c15bf8dee5f065b1eb6bf759614801856a8c991328eea79353ff061b85302322cdfc147c4d9f7a7be75
+EBUILD packaging-24.0.ebuild 799 BLAKE2B 081e8bf32d601782f270911a57b735620a78311a58cef821357dcb5b799d64cd2d6594182cb538672edfc036c5f8d973979ee4435502ac87ba6ab125201413f9 SHA512 0ea09262d62e053833f3fb80acc857e66d462a93e7868c58e01f49a48f789736ba0610e0ad75427c233e3a6ee3969f176bf68818f53d4de021cc6b5fbec9bced
MISC metadata.xml 391 BLAKE2B 0d73ed3809b26e3069048116ab247ceeb9e2932e0d8d6063b97cc1f0ed8359e73a54b22035fedb169524e502b6a07b8203e6c35d801f738bbed685d90e12bf96 SHA512 eb4d1ca476a45232547fdd961a4e6715dda24c7ab82e1f1995ac977b9825793d5d10a2ac408b1ee0b7c8b8444f2c42be33d6fb1012461f96db9a71477cca67ae
diff --git a/dev-python/packaging/packaging-24.0.ebuild b/dev-python/packaging/packaging-24.0.ebuild
new file mode 100644
index 000000000000..02f912c7ec19
--- /dev/null
+++ b/dev-python/packaging/packaging-24.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core utilities for Python packages"
+HOMEPAGE="
+ https://github.com/pypa/packaging/
+ https://pypi.org/project/packaging/
+"
+
+LICENSE="|| ( Apache-2.0 BSD-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ !<dev-python/setuptools-67
+"
+DEPEND="
+ test? (
+ dev-python/pretend[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest --capture=no
+}
diff --git a/dev-python/pyrate-limiter/Manifest b/dev-python/pyrate-limiter/Manifest
index b92b6efc44a8..48d1c70221f0 100644
--- a/dev-python/pyrate-limiter/Manifest
+++ b/dev-python/pyrate-limiter/Manifest
@@ -1,5 +1,7 @@
DIST pyrate-limiter-2.10.0.gh.tar.gz 71838 BLAKE2B 3b8fd16684268870991c3a731c5497802c6f7be51e57bc983a14a7484fad2d0983613304fa061fdb70a3e6645d17fe37fbd68e9ddeca57bc7bd97fef4a5d8585 SHA512 b0090b2d80d40ba2f86ac7b5c5612a35fa885b52a87d783aa9726782275e79ca8d54a9a44b1f0dd43c98bf2355f4c17e1686d7c7f806934ea492b67f66b06ffe
DIST pyrate_limiter-3.2.1.tar.gz 277166 BLAKE2B eb126b94bc9a113addd1e727ae21ee2df447e1f9fc0b3a1b77ab46464186a0cb62584fafbc9fac1ddbcc7c3289338208dfb39070e57e974e00442b1d7c5f0d21 SHA512 cb782766c2e1e47aeb35c3d7d03f9a82862a53e73b5afdab1b8a255866392cf0636340164c19e4181e8aa4327e9c346fc2fde64b2f50aaf227dd60633038f7c7
+DIST pyrate_limiter-3.3.0.tar.gz 278153 BLAKE2B df0e3aaf53150fb905be994c8bcc268e45bafddf795514eb8a6ee56da25e998b85336f48331a2720cbf501cb6feee806c9c17d99adcb4647979f6d79f960cc9f SHA512 ee2cc0c573c7b696e6a6444eca85b4e5c8315c291b6ab64ed5e60cfd54298cd9aca1efdbfb7a669b92f8169848c03287ecb0a3f50c9281a4bc15acfc1713e300
EBUILD pyrate-limiter-2.10.0.ebuild 1616 BLAKE2B d349d41a6c4f25164f1fa1f86f990ffb61e69e97e4b23e7ec9e2800cc17f10afaa7904f325956a2cb9443be14bcb563da94c8733b54d1ce9e7b0011a4fe29fa1 SHA512 76d89db635828ed2ff88c46f090b0ba41d364b20787df37c4b162da8071558440124dfabd3f2a9b06bcc0540f28d974d234e65333fa095860e2bd00f9ba0cd1a
EBUILD pyrate-limiter-3.2.1.ebuild 1617 BLAKE2B f08fc50f04941d344b3f793a458050263f1fd35fac55a0984d7b940eac628d635105945441bb1fd4cf5d1b69e29265a1e141028410e741b30f8df0fc8251d117 SHA512 00037202a9491b2a0d6d141ac63c252aa3237610f7afbaba1290dd75ea1c853637320d96b32f9b0759ef7e64297ee3d6b13b8039091cf454153d08dcdd065be9
+EBUILD pyrate-limiter-3.3.0.ebuild 1617 BLAKE2B f08fc50f04941d344b3f793a458050263f1fd35fac55a0984d7b940eac628d635105945441bb1fd4cf5d1b69e29265a1e141028410e741b30f8df0fc8251d117 SHA512 00037202a9491b2a0d6d141ac63c252aa3237610f7afbaba1290dd75ea1c853637320d96b32f9b0759ef7e64297ee3d6b13b8039091cf454153d08dcdd065be9
MISC metadata.xml 525 BLAKE2B 8daa0c59b247c8ec215a3868315f383614b24bf36a80950f3a94968856a27ee2eb90cedba36784355926c509a26b530f3de44be729beeee0f22595cc0b9467b5 SHA512 429e23f33cd2889a7e989333a03ee374cbec2e264d354bf1c299263f2c9167059eb17f1c975b67cd4af7011843c3478d5296033666566bca97749ca85dfcab44
diff --git a/dev-python/pyrate-limiter/pyrate-limiter-3.3.0.ebuild b/dev-python/pyrate-limiter/pyrate-limiter-3.3.0.ebuild
new file mode 100644
index 000000000000..0f5062a73d40
--- /dev/null
+++ b/dev-python/pyrate-limiter/pyrate-limiter-3.3.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python Rate-Limiter using Leaky-Bucket Algorimth Family"
+HOMEPAGE="
+ https://github.com/vutran1710/PyrateLimiter/
+ https://pypi.org/project/pyrate-limiter/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/redis[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # Optional dependency redis-py-cluster not packaged
+ "tests/test_02.py::test_redis_cluster"
+)
+EPYTEST_XDIST=1
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-autodoc-typehints \
+ dev-python/sphinx-copybutton \
+ dev-python/furo \
+ dev-python/myst-parser \
+ dev-python/sphinxcontrib-apidoc
+distutils_enable_tests pytest
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ # Spawn Redis itself for testing purposes
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1 ::1
+ ${extra_conf}
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -p rerunfailures --reruns=5
+}
diff --git a/dev-python/redis/Manifest b/dev-python/redis/Manifest
index c0aa25a61b2c..f3b0c6916753 100644
--- a/dev-python/redis/Manifest
+++ b/dev-python/redis/Manifest
@@ -1,5 +1,7 @@
DIST redis-py-5.0.1.gh.tar.gz 4769633 BLAKE2B 3b572ef41abfdb0cf0ba957c93a23aacbe931e50ebe11e50a62dffe6aaaf57926224f7a497727e1e233b443c6be053f786dadac64f16a5170748e6afd9604d01 SHA512 05c32d6961326ff39312f5513136e72be3a42819b0c4bf646f3bac14e66a8a87a191697a89c2cbc22a83398896e25adc5fbd34f12e67719f0a0af927bf423130
DIST redis-py-5.0.2.gh.tar.gz 4774000 BLAKE2B 60ca8e11c2896b2f36d09fa494afc3ea039a79eb46a4503d6c5561f16fd9e2779aecb314e79c87e083212b5a619c555615a037f83572bc0a8fe54b8d04e6530b SHA512 1f75f2959737fc4d9e83c1e88cebbaad8801ac1a6113a1275b6461c657136f6f561d8ac8c5a62ba3f1d7f5463c416aa6351f8150b983505e7b0a93e3e8b4b354
+DIST redis-py-5.0.3.gh.tar.gz 4774007 BLAKE2B f1b53319f76fd15af28941d643a333e7556f4701b46d218872a17200a867ba71c5fe72a092e00ac68ca811f41409a1e2eef05a235d2fcb6ba455cef225cd47c5 SHA512 be7158062e905ff3f61fc2b311b1288e53f494de1734dd5a58a34250754de635b9bf125900621b7b6ad8c67d8020b88ca3ae07af2626459acaf77db5f228222c
EBUILD redis-5.0.1.ebuild 2700 BLAKE2B fdf694b2598f58bca6a5b595cb2befd87a22f5b39eafbaa240ce4ec4acb42e0550b51bff01513418747262ca8c97089b44668dd6147cf2c5512a0cd74614249b SHA512 d65cd1b666966deb2ffdeedb2f8cd8c1b9ebbfca403108ca7236ce0cd05a7ef0c4e07718fea5e254433ee8b676f876c1eac237991eb592a3de6d5609caaa26d7
EBUILD redis-5.0.2.ebuild 2688 BLAKE2B 343f9e8e9584a519c52bcb3fe492aa6f8e0d2edaccd36dab68c0b6d5d7f71c1fa4d0b454c2ff6a67345e732c70d5e640e22a6573a4d6e25f641b878bead62fa5 SHA512 ca4e18c02ddc0972be7977ef6689b81b5a703fe26a9174a85472fa2e1d9b319524fa7cb3d01fa899fef844552c02687b5221ea5703df14355e0ed51180559c4c
+EBUILD redis-5.0.3.ebuild 2723 BLAKE2B a2c0c45831ccd3f17dac8f2ce36c4a2075e9ac709e0e7968cabe10d38aa5e82d4611913d8f0459167b235d7e335c3b96a0803d7f682a268cc51eb91c0ffea3c7 SHA512 6d26f66a122e90983730a7145e9e4c809253f8e0be4ceaf9fcb5545fdacab9c9c4c1dbbcfe0e3781c925d058e84c0f133e9ebadf5ea9ccaa76a08df02579e1d9
MISC metadata.xml 506 BLAKE2B 0e5747e826132dd365bdf6d3a63f0936ed476bc69c4c4d55126e692039046f51f69b193ead0baa181090b11f69ab2a49220d8f906f9fe3fc18331b76ff9e0b0f SHA512 725d650bfe345b132588930a18ade44182ec07f6697d2fd8806dc208ab1556939926e8899fc6d43691101d971f9c1e011fb8a5675fdde4698dbf4c230db15c75
diff --git a/dev-python/redis/redis-5.0.3.ebuild b/dev-python/redis/redis-5.0.3.ebuild
new file mode 100644
index 000000000000..c3596deb755c
--- /dev/null
+++ b/dev-python/redis/redis-5.0.3.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+MY_P=redis-py-${PV}
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="
+ https://github.com/redis/redis-py/
+ https://pypi.org/project/redis/
+"
+SRC_URI="
+ https://github.com/redis/redis-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/async-timeout-4.0.2[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Flaky test
+ tests/test_pubsub.py::TestPubSubDeadlock::test_pubsub_deadlock
+ # require extra redis modules that apparently aren't packaged
+ # on Gentoo
+ tests/{,test_asyncio/}test_bloom.py
+ tests/{,test_asyncio/}test_graph.py
+ tests/{,test_asyncio/}test_json.py
+ tests/{,test_asyncio/}test_timeseries.py
+ # apparently available only in "Redis Stack 7.2 RC3 or later"
+ tests/test_commands.py::TestRedisCommands::test_tfunction_load_delete
+ tests/test_commands.py::TestRedisCommands::test_tfunction_list
+ tests/test_commands.py::TestRedisCommands::test_tfcall
+ # TODO
+ tests/test_commands.py::TestRedisCommands::test_zrank_withscore
+ tests/test_commands.py::TestRedisCommands::test_zrevrank_withscore
+ tests/test_commands.py::TestRedisCommands::test_xinfo_consumers
+ tests/test_asyncio/test_commands.py::TestRedisCommands::test_zrank_withscore
+ tests/test_asyncio/test_commands.py::TestRedisCommands::test_zrevrank_withscore
+ tests/test_asyncio/test_commands.py::TestRedisCommands::test_xinfo_consumers
+ tests/test_asyncio/test_pubsub.py::TestPubSubAutoReconnect::test_reconnect_socket_error[pool-hiredis-listen]
+ )
+
+ # TODO: try to run more servers?
+ epytest -m "not redismod and not onlycluster and not replica and not ssl"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ if has_version ">=dev-db/redis-7"; then
+ local extra_conf="
+ enable-debug-command yes
+ enable-module-command yes
+ "
+ fi
+
+ # Spawn Redis itself for testing purposes
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1 ::1
+ ${extra_conf}
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/types-docutils/Manifest b/dev-python/types-docutils/Manifest
index e5911bebb11f..78578a988a55 100644
--- a/dev-python/types-docutils/Manifest
+++ b/dev-python/types-docutils/Manifest
@@ -1,5 +1,7 @@
DIST types-docutils-0.20.0.20240309.tar.gz 16064 BLAKE2B c6695b4f3badf21ea2feded98b498985095e0962670af8068aa337b322775f9d3e6661e89ce4cf99d593f9b9bd627e01dfea0d79685f7fe59ed36ce8c28091ba SHA512 a29ca1c5080447f72eb484c7549a6c2306a668ac567b6a32e8a6a06d1e2db98ef01b45c0df79b3b7aa37edffbef5f362e1f0e69298b716228afcf1adc6b9581a
DIST types-docutils-0.20.0.20240310.tar.gz 16336 BLAKE2B 5ca982bae4ccea8f1e8cc56c404917c17543f65f9f13b5f61d4a40957a017c31bbb67530e209357868ab47c3344736aa5b172ac5b211eba0fa0360accb79e655 SHA512 2d54be1ea12e2354ee53c9bb2496da912ac917016e12499635abc9da11a6f4878ca63da0b50d1a9f77fa4bd731c345605ead71038abeb739d5f7258d95e0c794
+DIST types-docutils-0.20.0.20240311.tar.gz 16388 BLAKE2B 4b22227a65fb1e3b86d27580292bc296b6a46d7ede27b509114de3db7666363c8b07780914c880d921aa85778e0eeae8b34fbd0e5593199623564d494c7f047d SHA512 55d406241540b7615e48647f4f7f85523952b9d5b6d9aeec7d0a2f6f0412936d2e52e535a6ba26c9f28cafa772abe26e37ccaf60f6168c1aa8313123a5fec9f8
EBUILD types-docutils-0.20.0.20240309.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
EBUILD types-docutils-0.20.0.20240310.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
+EBUILD types-docutils-0.20.0.20240311.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
MISC metadata.xml 325 BLAKE2B 399aab1e8779e48d84998d6fdd595638aaf674b9a7076573aad7ade16855c4fc785dd45b1eff833c8ec7accda2a08cf561dfa14237e4edf6292fc7961ad76f7e SHA512 fb2768e73dd948c79654ab22c24d868a418576f2008153e45e4d0b42e2750872884bd35451ee3917203469d72d1c76f84d849e9d3534dc1006eb4d80b3ef04d7
diff --git a/dev-python/types-docutils/types-docutils-0.20.0.20240311.ebuild b/dev-python/types-docutils/types-docutils-0.20.0.20240311.ebuild
new file mode 100644
index 000000000000..cb335ec2836f
--- /dev/null
+++ b/dev-python/types-docutils/types-docutils-0.20.0.20240311.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for docutils"
+HOMEPAGE="https://pypi.org/project/types-docutils/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
diff --git a/dev-python/types-gdb/Manifest b/dev-python/types-gdb/Manifest
index 7a1839cd9c0a..4ecdf7695e4c 100644
--- a/dev-python/types-gdb/Manifest
+++ b/dev-python/types-gdb/Manifest
@@ -1,5 +1,7 @@
DIST types-gdb-12.1.4.20240113.tar.gz 10765 BLAKE2B 836952c76cdb970b39877552da78adfb8f288a18bdb4c55d27c815e63178597e08a107350a618888cf8f8b0d8a88fa3c26767ea064b2a4dcb2d0afc3d10a4f6a SHA512 2f0802f8e95106dcb03ec734aa0b5200bd8c64f6628072394a120eb1b3a34b727525d944e023cb23baef8caabf61f6ed383a3e1da8c9d47fe76a281a67cb49aa
DIST types-gdb-12.1.4.20240305.tar.gz 10784 BLAKE2B 0f3f4ad5a66a753262b38a320d71e39505c581b990bf4680ef892aaa6b5334cdfb52b8470903f8873872ec7d1c75d6bcf32b82d23e2d6725e53981906aedf7ea SHA512 052e783fc5e567891572a13333a4c85774c3405e2f4f4af773236fbeee0560c31dd5e5c81513ee3fc1c10cd2b9a6ea27242ffe21455bc66be66162ee71ca4a09
+DIST types-gdb-12.1.4.20240311.tar.gz 10837 BLAKE2B 0c10bb70402a236589de9760f97310d977d10f9834761916ce5dcfacf8010b603f429e4eeb41a99efeabc6bae7a5937c667732094abd35b68fac8903f51b6d0a SHA512 1f8ef85ee7608dd5d94a9f0fd62b764081b211ae3664ca3a9585625c8ffba4b8cbc49da0201b2b4892474e84dfa7c12a60af35d167fb6a08322224faccbc0205
EBUILD types-gdb-12.1.4.20240113.ebuild 364 BLAKE2B 7bcf0a14c1a0a165ec11195aa19d23e5ca6a723bc26f3a79e8bc79d936dd7d4ef9c71450279be0e2aa5654a2518b3ab2fa03a2ec29f66bcc5dc95030b2752c4e SHA512 62c99b1cae117a2aaef367ebfe277a7dd49b97d37ef25e1d306a8bfb763c33d26f35db5797bb8d3717e6824ea5a3c8f407c2ba9eabf3a2d3c0144d90091892f3
EBUILD types-gdb-12.1.4.20240305.ebuild 364 BLAKE2B 7bcf0a14c1a0a165ec11195aa19d23e5ca6a723bc26f3a79e8bc79d936dd7d4ef9c71450279be0e2aa5654a2518b3ab2fa03a2ec29f66bcc5dc95030b2752c4e SHA512 62c99b1cae117a2aaef367ebfe277a7dd49b97d37ef25e1d306a8bfb763c33d26f35db5797bb8d3717e6824ea5a3c8f407c2ba9eabf3a2d3c0144d90091892f3
+EBUILD types-gdb-12.1.4.20240311.ebuild 364 BLAKE2B 7bcf0a14c1a0a165ec11195aa19d23e5ca6a723bc26f3a79e8bc79d936dd7d4ef9c71450279be0e2aa5654a2518b3ab2fa03a2ec29f66bcc5dc95030b2752c4e SHA512 62c99b1cae117a2aaef367ebfe277a7dd49b97d37ef25e1d306a8bfb763c33d26f35db5797bb8d3717e6824ea5a3c8f407c2ba9eabf3a2d3c0144d90091892f3
MISC metadata.xml 320 BLAKE2B e7216faeb2957322c501efcfe35a1ddd197b253f74e4e1674f188d700c9ae765c94cd9609a1aa0c6033608b32e357a827e5ca906d0f4fdf6aeb9fefcdeb8c6ef SHA512 5ebabc196994d0616193657af0766733efc672cf823ac908df138fcad13c510716fd261bfced7986d6170044fa46cc3fbc42760ccb863e26b34ec3920b234061
diff --git a/dev-python/types-gdb/types-gdb-12.1.4.20240311.ebuild b/dev-python/types-gdb/types-gdb-12.1.4.20240311.ebuild
new file mode 100644
index 000000000000..bb9b717448e5
--- /dev/null
+++ b/dev-python/types-gdb/types-gdb-12.1.4.20240311.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for gdb"
+HOMEPAGE="https://pypi.org/project/types-gdb/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
diff --git a/dev-python/types-psutil/Manifest b/dev-python/types-psutil/Manifest
index 958e11704051..1705a8a1b28f 100644
--- a/dev-python/types-psutil/Manifest
+++ b/dev-python/types-psutil/Manifest
@@ -1,3 +1,5 @@
DIST types-psutil-5.9.5.20240205.tar.gz 14333 BLAKE2B 6f48c008ac634a761f7eb6ed94ef1d06933da803dc8ff3111826ff91cd23ed17bc9e7fc661ea9c52075a675f9a2e6129c555e334bdf758f86f412523e27c91c7 SHA512 a8be7698a6e5bb37d45ea0a81d925835a685e5be7390401fb659a1eab71c6bf9c8529c285bcb1382b61aca37d8b4b43921f9281831bd8099402ec0078cb7334c
+DIST types-psutil-5.9.5.20240311.tar.gz 14357 BLAKE2B ce80aeb6157486e212346e24275c03d2a149c4881d182c8a0dd76bb2bf7920701fa4a26e7c01672695d438ae1cd9e9fd21b28796da57b616d25785206d9238e0 SHA512 28a2f3ffaf0a76d54f33b6a96ba6804958be99229ffc0903ea497a56b9b1a5550e6a6d2f68be00fa29e8279f3e3b15de643c804dda6a3abc23430a5bf359eab3
EBUILD types-psutil-5.9.5.20240205.ebuild 438 BLAKE2B bb30699e8268e5cd529be4709ae687fa53749beed9af9183f070043accd58cc073fe82350755ae59a501969850fca6fa9a2436264c55dabfb24c1ba3f761b613 SHA512 e08129dc6b8edabe668bf0d147e910c13f91bb24bac4a36ca357b67c574ed3045d192d7dbf4c4d7786bda6bd418fee1532661276099912f5f432d30cc267bfa8
+EBUILD types-psutil-5.9.5.20240311.ebuild 446 BLAKE2B 6c2fae4d798cc9c70a43cc37c5eb4e35177611cd96fb239e17b00736277efaefd9ed4826ea912bb8c18f0306ee6a15b430c5d59151050cd1b5abf8b7ec316437 SHA512 38ec6459146b6afc2f8ac1e62c310db7da1266c244d1f73f32b78b91bc0e505cbf319095f479a86d580d2b31d30f7dbad0df6eb60b89f503691a258e3f6e2fd4
MISC metadata.xml 395 BLAKE2B 58c240c13cad1e6840bfeab26f48efbe07b75fb432da70652802e95b7cace7013f72d6d8f4c17ea15620abde8cd9940a8f74842e72dd5a7831d552c614c37f18 SHA512 58f9782008175a716f07a26e3b24a10904d942cc8dad7bad13cba697da5c6701cc3a6b06823a303f73485d6abb78c245ed2599e8b015c146ba35fb2722191143
diff --git a/dev-python/types-psutil/types-psutil-5.9.5.20240311.ebuild b/dev-python/types-psutil/types-psutil-5.9.5.20240311.ebuild
new file mode 100644
index 000000000000..e4318bf1fdcf
--- /dev/null
+++ b/dev-python/types-psutil/types-psutil-5.9.5.20240311.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for psutil"
+HOMEPAGE="https://pypi.org/project/types-psutil/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"